Package io.strimzi.systemtest.resources

## Class KubernetesResource

- java.lang.Object
- - io.strimzi.systemtest.resources.KubernetesResource

-     public class KubernetesResource
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KubernetesResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `allowNetworkPolicySettingsForClusterOperator()` | Method for allowing network policies for ClusterOperator
    `static void` | `allowNetworkPolicySettingsForEntityOperator​(String clusterName)` |
    `static void` | `allowNetworkPolicySettingsForKafkaExporter​(String clusterName)` |
    `static void` | `allowNetworkPolicySettingsForResource​(io.fabric8.kubernetes.api.model.HasMetadata resource, String deploymentName)` | Method for allowing network policies for Connect or ConnectS2I
    `static io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicy` | `applyDefaultNetworkPolicy​(String namespace, DefaultNetworkPolicy policy)` |
    `static void` | `applyDefaultNetworkPolicySettings​(List<String> namespaces)` |
    `static io.fabric8.kubernetes.api.model.rbac.ClusterRoleBinding` | `clusterRoleBinding​(io.fabric8.kubernetes.api.model.rbac.ClusterRoleBinding clusterRoleBinding)` |
    `static io.fabric8.kubernetes.api.model.rbac.ClusterRoleBinding` | `clusterRoleBinding​(String yamlPath, String namespace)` |
    `static List<io.fabric8.kubernetes.api.model.rbac.ClusterRoleBinding>` | `clusterRoleBindingsForAllNamespaces​(String namespace)` |
    `static io.fabric8.kubernetes.api.model.Service` | `createKeycloakNodePortHttpService​(String namespace)` |
    `static io.fabric8.kubernetes.api.model.Service` | `createKeycloakNodePortService​(String namespace)` |
    `static io.fabric8.kubernetes.api.model.Service` | `createServiceResource​(io.fabric8.kubernetes.api.model.Service service, String clientNamespace)` |
    `static io.fabric8.kubernetes.api.model.Service` | `createServiceResource​(String appName, int port, String clientNamespace, String transportProtocol)` |
    `static io.fabric8.kubernetes.api.model.batch.Job` | `deleteLater​(io.fabric8.kubernetes.api.model.batch.Job resource)` |
    `static io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicy` | `deleteLater​(io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicy resource)` |
    `static io.fabric8.kubernetes.api.model.Service` | `deployBridgeNodePortService​(String bridgeExternalService, String namespace, String clusterName)` |
    `static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> void` | `deployNetworkPolicyForResource​(T resource, String deploymentName)` |
    `static io.fabric8.kubernetes.api.model.apps.Deployment` | `deployNewDeployment​(io.fabric8.kubernetes.api.model.apps.Deployment deployment)` |
    `static io.fabric8.kubernetes.api.model.batch.Job` | `deployNewJob​(io.fabric8.kubernetes.api.model.batch.Job job)` |
    `static io.fabric8.kubernetes.api.model.apps.Deployment` | `getDeploymentFromYaml​(String yamlPath)` |
    `static io.fabric8.kubernetes.api.model.ServiceBuilder` | `getSystemtestsServiceResource​(String appName, int port, String namespace, String transportProtocol)` |
    `static io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicyBuilder` | `networkPolicyBuilder​(String name)` |
    `static io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicyBuilder` | `networkPolicyBuilder​(String name, io.fabric8.kubernetes.api.model.LabelSelector labelSelector)` |
    `static io.fabric8.kubernetes.api.model.rbac.RoleBinding` | `roleBinding​(String yamlPath, String namespace, String clientNamespace)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KubernetesResource

          public KubernetesResource()

  - ### Method Detail

    - #### deployNewDeployment

          public static io.fabric8.kubernetes.api.model.apps.Deployment deployNewDeployment​(io.fabric8.kubernetes.api.model.apps.Deployment deployment)

    - #### deployNewJob

          public static io.fabric8.kubernetes.api.model.batch.Job deployNewJob​(io.fabric8.kubernetes.api.model.batch.Job job)

    - #### roleBinding

          public static io.fabric8.kubernetes.api.model.rbac.RoleBinding roleBinding​(String yamlPath,
                                                                                     String namespace,
                                                                                     String clientNamespace)

    - #### clusterRoleBinding

          public static io.fabric8.kubernetes.api.model.rbac.ClusterRoleBinding clusterRoleBinding​(String yamlPath,
                                                                                                   String namespace)

    - #### clusterRoleBinding

          public static io.fabric8.kubernetes.api.model.rbac.ClusterRoleBinding clusterRoleBinding​(io.fabric8.kubernetes.api.model.rbac.ClusterRoleBinding clusterRoleBinding)

    - #### clusterRoleBindingsForAllNamespaces

          public static List<io.fabric8.kubernetes.api.model.rbac.ClusterRoleBinding> clusterRoleBindingsForAllNamespaces​(String namespace)

    - #### getSystemtestsServiceResource

          public static io.fabric8.kubernetes.api.model.ServiceBuilder getSystemtestsServiceResource​(String appName,
                                                                                                     int port,
                                                                                                     String namespace,
                                                                                                     String transportProtocol)

    - #### createServiceResource

          public static io.fabric8.kubernetes.api.model.Service createServiceResource​(String appName,
                                                                                      int port,
                                                                                      String clientNamespace,
                                                                                      String transportProtocol)

    - #### createServiceResource

          public static io.fabric8.kubernetes.api.model.Service createServiceResource​(io.fabric8.kubernetes.api.model.Service service,
                                                                                      String clientNamespace)

    - #### createKeycloakNodePortHttpService

          public static io.fabric8.kubernetes.api.model.Service createKeycloakNodePortHttpService​(String namespace)

    - #### createKeycloakNodePortService

          public static io.fabric8.kubernetes.api.model.Service createKeycloakNodePortService​(String namespace)

    - #### deployBridgeNodePortService

          public static io.fabric8.kubernetes.api.model.Service deployBridgeNodePortService​(String bridgeExternalService,
                                                                                            String namespace,
                                                                                            String clusterName)

    - #### applyDefaultNetworkPolicySettings

          public static void applyDefaultNetworkPolicySettings​(List<String> namespaces)

    - #### networkPolicyBuilder

          public static io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicyBuilder networkPolicyBuilder​(String name)

    - #### networkPolicyBuilder

          public static io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicyBuilder networkPolicyBuilder​(String name,
                                                                                                                io.fabric8.kubernetes.api.model.LabelSelector labelSelector)

    - #### allowNetworkPolicySettingsForClusterOperator

          public static void allowNetworkPolicySettingsForClusterOperator()

      Method for allowing network policies for ClusterOperator

    - #### allowNetworkPolicySettingsForEntityOperator

          public static void allowNetworkPolicySettingsForEntityOperator​(String clusterName)

    - #### allowNetworkPolicySettingsForKafkaExporter

          public static void allowNetworkPolicySettingsForKafkaExporter​(String clusterName)

    - #### allowNetworkPolicySettingsForResource

          public static void allowNetworkPolicySettingsForResource​(io.fabric8.kubernetes.api.model.HasMetadata resource,
                                                                   String deploymentName)

      Method for allowing network policies for Connect or ConnectS2I
      Parameters:
        `resource` - mean Connect or ConnectS2I resource
        `deploymentName` - name of resource deployment - for setting strimzi.io/name

    - #### applyDefaultNetworkPolicy

          public static io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicy applyDefaultNetworkPolicy​(String namespace,
                                                                                                              DefaultNetworkPolicy policy)

    - #### deployNetworkPolicyForResource

          public static <T extends io.fabric8.kubernetes.client.CustomResource<? extends io.strimzi.api.kafka.model.Spec,​? extends io.strimzi.api.kafka.model.status.Status>> void deployNetworkPolicyForResource​(T resource,
                                                                                                                                                                                                                        String deploymentName)

    - #### getDeploymentFromYaml

          public static io.fabric8.kubernetes.api.model.apps.Deployment getDeploymentFromYaml​(String yamlPath)

    - #### deleteLater

          public static io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicy deleteLater​(io.fabric8.kubernetes.api.model.networking.v1.NetworkPolicy resource)

    - #### deleteLater

          public static io.fabric8.kubernetes.api.model.batch.Job deleteLater​(io.fabric8.kubernetes.api.model.batch.Job resource)